# kate: space-indent on; indent-width 4;
# vim: set ts=4 sw=4 et:
#
# spec file for package mybashburn (Version 1.0.2)
#
# Copyright (c) 2011 Kyrill Detinov
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:           mybashburn
Version:        1.0.2
Release:        3.4
License: GPL-2.0
Summary:        Burn Data and Create Songs with Interactive Dialog Box
URL:            http://mybashburn.sourceforge.net/
Group:          Productivity/Multimedia/CD/Record
Source0:        %{name}-%{version}.tar.bz2
Source1:        mybashburn.png
BuildRequires:  update-desktop-files
Requires:       dialog
# cdrecord:
Requires:       cdrecord
# growisofs:
Requires:       dvd+rw-tools
# mkisofs:
Requires:       mkisofs
# cdrdao:
Requires:       cdrdao
# cdda2wav:
Requires:       cdda2wav
# readcd:
Requires:       cdrecord
# lame:
Requires:       lame
# oggenc:
Requires:       vorbis-tools
# oggdec:
Requires:       vorbis-tools
# flac:
Requires:       flac
# eject:
Requires:       eject
# normalize:
Requires:       normalize
# mpg123:
Requires:       mpg123

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
MyBashBurn is a fork based on ncurses of the CD burning shell script
called BashBurn for Linux. It can burn bin/cue files, create ogg and
flac files, data, music and multisession CDs, as well as burn and create
ISO files, DVD-images, data DVDs and some other funny options.
MyBashBurn makes use of cdrecord and other back-end applications, so
basically if your writing device works with them, MyBashBurn will work
flawlessly.



Authors:
--------
    Wilmer Jaramillo <wilmer@fedoraproject.org>

%prep
%setup -q

%build

%install
%makeinstall docdir="%{buildroot}%{_defaultdocdir}/%{name}"
%__ln_s -f ../share/%{name}/MyBashBurn.sh \
            %{buildroot}%{_bindir}/%{name}
%__ln_s -f ../doc/packages/%{name}/HOWTO \
            %{buildroot}%{_datadir}/%{name}
%__ln_s -f ../doc/packages/%{name}/CREDITS \
            %{buildroot}%{_datadir}/%{name}
%__install -Dm 644 %{S:1} \
            %{buildroot}%{_datadir}/pixmaps/%{name}.png
%__cat > %{name}.desktop << EOF
[Desktop Entry]
Name=MyBashBurn
GenericName=Burn CD in Console
GenericName[ru]=Запись дисков в консоли
Type=Application
Exec=mybashburn
Icon=mybashburn
Categories=AudioVideo;DiscBurning;
Comment=Burn Data and Create Songs with Interactive Dialog Box
StartupNotify=false
Terminal=true
EOF
%suse_update_desktop_file -i %{name}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%doc %{_defaultdocdir}/%{name}
%doc %{_mandir}/man?/*

%changelog
* Sat Apr  9 2011 lazy.kent@opensuse.org
- initial package created - 1.0.2
